## dirseek

#### OS/161 Reference Manual

### Name

dirseek - seek on directories test

### Synopsis

/testbin/dirseek

### Description

dirseek creates a test directory, creates some files in it, and lists the directory repeatedly, seeking in a variety of ways (some legal, some not).

### Requirements

dirseek uses the following system calls:

- chdir
- close
- getdirentry
- lseek
- mkdir
- open
- remove
- rmdir
- write
- _exit

dirseek should run (on SFS filesystems) when the file system assignment is complete. It will not run on emufs, because emufs does not support mkdir or rmdir.